summaryrefslogtreecommitdiffstats
path: root/testsuite/check.sh
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 10:20:52 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 10:20:52 +0000
commit9e1481f1341f12a41b988d6dcb63e8256d1e54a3 (patch)
tree55304e8361dd48c9465c4670d9c5fa3747050e86 /testsuite/check.sh
parentAdding upstream version 1.13. (diff)
downloadlziprecover-9e1481f1341f12a41b988d6dcb63e8256d1e54a3.tar.xz
lziprecover-9e1481f1341f12a41b988d6dcb63e8256d1e54a3.zip
Adding upstream version 1.14~rc1.upstream/1.14_rc1
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite/check.sh')
-rwxr-xr-xtestsuite/check.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 92dcfdd..bd77f02 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# check script for Lziprecover - Data recovery tool for lzipped files
-# Copyright (C) 2009, 2010, 2011, 2012 Antonio Diaz Diaz.
+# Copyright (C) 2009, 2010, 2011, 2012, 2013 Antonio Diaz Diaz.
#
# This script is free software: you have unlimited permission
# to copy, distribute and modify it.
@@ -53,6 +53,15 @@ printf .
cmp ${in} copy || fail=1
printf .
+"${LZIPRECOVER}" -lq
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+"${LZIPRECOVER}" -mq ${bad1_lz}
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+"${LZIPRECOVER}" -Rq
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+"${LZIPRECOVER}" -sq
+if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
+
"${LZIPRECOVER}" -D 921-1921 -fo copy ${in_lz} || fail=1
cmp ${inD} copy || fail=1
printf .